## 66-tools 0.1.0.1experimental1

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

it: all

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

CC = $(error Please use ./configure first)

STATIC_LIBS :=
SHARED_LIBS :=
INTERNAL_LIBS :=
EXTRA_TARGETS :=
LIB_DEFS :=

define library_definition
LIB$(firstword $(subst =, ,$(1))) := lib$(lastword $(subst =, ,$(1))).$(if $(DO_ALLSTATIC),a,so).xyzzy
ifdef DO_SHARED
SHARED_LIBS += lib$(lastword $(subst =, ,$(1))).so.xyzzy
endif
ifdef DO_STATIC
STATIC_LIBS += lib$(lastword $(subst =, ,$(1))).a.xyzzy
endif
endef

-include config.mak
include package/targets.mak

$(foreach var,$(LIB_DEFS),$(eval $(call library_definition,$(var))))

include package/deps.mak

version_m := $(basename $(version))
version_M := $(basename $(version_m))
version_l := $(basename $(version_M))
CPPFLAGS_ALL := $(CPPFLAGS_AUTO) $(CPPFLAGS)
CFLAGS_ALL := $(CFLAGS_AUTO) $(CFLAGS)
ifeq ($(strip $(STATIC_LIBS_ARE_PIC)),)
CFLAGS_SHARED := -fPIC
else
CFLAGS_SHARED :=
endif
LDFLAGS_ALL := $(LDFLAGS_AUTO) $(LDFLAGS)
AR := $(CROSS_COMPILE)ar
RANLIB := $(CROSS_COMPILE)ranlib
STRIP := $(CROSS_COMPILE)strip
INSTALL := ./tools/install.sh

ALL_BINS := $(LIBEXEC_TARGETS) $(BIN_TARGETS)
ALL_LIBS := $(SHARED_LIBS) $(STATIC_LIBS) $(INTERNAL_LIBS)
ALL_INCLUDES := $(wildcard src/include/$(package)/*.h)
LOWDOWN := $(shell type -p lowdown)
ifdef LOWDOWN
GENERATE_HTML := $(shell doc/make-html.sh $(version))
GENERATE_MAN := $(shell doc/make-man.sh)
endif
INSTALL_HTML := $(wildcard doc/$(version)/html/*.html)
INSTALL_MAN := $(wildcard doc/man/*/*)

all: $(ALL_LIBS) $(ALL_BINS) $(ALL_INCLUDES)

clean:
	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(wildcard src/*/*.o src/*/*.lo) $(EXTRA_TARGETS) \
	$(INSTALL_HTML) $(INSTALL_MAN)

distclean: clean
	@exec rm -f config.mak src/include/$(package)/config.h
	$(INSTALL_MAN) $(INSTALL_HTML)

tgz: distclean
	@. package/info && \
	rm -rf /tmp/$$package-$$version && \
	cp -a . /tmp/$$package-$$version && \
	cd /tmp && \
	tar -zpcv --owner=0 --group=0 --numeric-owner --exclude=.git* -f /tmp/$$package-$$version.tar.gz $$package-$$version && \
	exec rm -rf /tmp/$$package-$$version

strip: $(ALL_LIBS) $(ALL_BINS)
ifneq ($(strip $(STATIC_LIBS)),)
	exec $(STRIP) -x -R .note -R .comment $(STATIC_LIBS)
endif
ifneq ($(strip $(ALL_BINS)$(SHARED_LIBS)),)
	exec $(STRIP) -R .note -R .comment -R $(ALL_BINS) $(SHARED_LIBS)
endif

install: install-dynlib install-libexec install-bin install-lib install-include install-html install-man
install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
install-libexec: $(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%)
install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%)
install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h)
install-data: $(ALL_DATA:src/etc/%=$(DESTDIR)$(datadir)/%)
install-html: $(INSTALL_HTML:doc/$(version)/html/%.html=$(DESTDIR)$(datarootdir)/doc/$(package)/$(version)/%.html)
install-man: $(INSTALL_MAN:doc/man/man1/%.1=$(DESTDIR)$(mandir)/man1/%.1)
install-ns-rule: $(RULE_TARGET:examples/rule/%=$(DESTDIR)$(ns_rule)/%)

$(DESTDIR)$(datarootdir)/doc/$(package)/$(version)/%.html: doc/$(version)/html/%.html
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%service_admconf%%,/etc/66/conf,g' $< > $@

$(DESTDIR)$(mandir)/man1/%.1: doc/man/man1/%.1
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%service_admconf%%,/etc/66/conf,g' $< > $@

$(DESTDIR)$(datadir)/%: src/etc/%
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(dynlibdir)/lib%.so $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M): lib%.so.xyzzy
	$(INSTALL) -D -m 755 $< $@.$(version) && \
	$(INSTALL) -l $(@F).$(version) $@.$(version_M) && \
	exec $(INSTALL) -l $(@F).$(version_M) $@

$(DESTDIR)$(libexecdir)/% $(DESTDIR)$(bindir)/%: % package/modes
	exec $(INSTALL) -D -m 600 $< $@
	grep -- ^$(@F) < package/modes | { read name mode owner && \
	if [ x$$owner != x ] ; then chown -- $$owner $@ ; fi && \
	chmod $$mode $@ ; }

$(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(includedir)/$(package)/%.h: src/include/$(package)/%.h
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(ns_rule)/%: examples/rule/%
	$(INSTALL) -D -m 644 $< $@

%.o: %.c
	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<

%.lo: %.c
	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<

$(ALL_BINS):
	exec $(CC) -o $@ $(CFLAGS_ALL) $(LDFLAGS_ALL) $(LDFLAGS_NOSHARED) $^ $(EXTRA_LIBS) $(LDLIBS)

lib%.a.xyzzy:
	exec $(AR) rc $@ $^
	exec $(RANLIB) $@

lib%.so.xyzzy:
	exec $(CC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,$(patsubst lib%.so.xyzzy,lib%.so.$(version_M),$@) $^ $(EXTRA_LIBS) $(LDLIBS)

.PHONY: it all clean distclean tgz strip install install-dynlib install-libexec install-bin install-lib install-include install-data install-html install-man install-ns-rule

.DELETE_ON_ERROR:

=== debian/changelog ===
66-tools (0.1.0.1experimental1-1.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Sat, 10 Feb 2024 16:55:26 +0200

=== debian/control ===
Source: 66-tools
Section: s6-experimental
Priority: optional
Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 66 (>= 0.7),
 s6 (>= 2.12),
 s6-rc (>= 0.5.4.2),
 oblibs (>= 0.2),
 skalibs-dev (>= 2.14),
 libs6-dev (>= 2.12),
 libexecline-dev (>= 2.9),
 execline (>= 2.9),
 libexecline2.9 ,
 libskarnet2.14
Standards-Version: 4.6.2
Homepage: https://web.obarun.org/software/66/
#Vcs-Browser: https://salsa.debian.org/debian/66
#Vcs-Git: https://salsa.debian.org/debian/66.git

Package: 66-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: A collection of helpers tools to accomplish various and repetitive tasks in service scripts.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --dynlibdir=\$${prefix}/lib
CONFIG_OPT += --libdir=\$${prefix}/lib
CONFIG_OPT += --libexecdir=\$${prefix}/libexec
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --with-lib=\$${prefix}/lib/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
CONFIG_OPT += --with-lib=\$${prefix}/lib/s6
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --shebangdir=\$${prefix}/lib/execline/bin
CONFIG_OPT += --with-s6-log-timestamp=iso
CONFIG_OPT += --includedir=\$${prefix}/include
#CONFIG_OPT += --enable-absolute-paths
#CONFIG_OPT += --enable-shared
#CONFIG_OPT += --enable-allstatic
#CONFIG_OPT += --HOSTNAME=antix-66
#CONFIG_OPT += --TMPFILE='!no'
#CONFIG_OPT += --MODULE_SYSTEM='!no'
#CONFIG_OPT += --MNT_PROC='!no'
#CONFIG_OPT += --MNT_DEV='!no'
#CONFIG_OPT += --MNT_SYS='!no'
#CONFIG_OPT += --MNT_NETFS='!no'
#CONFIG_OPT += --CHECK_CONFIGURATION='!no'

%:
	dh $@

override_dh_auto_configure-arch:
#	./tools/gen-deps.sh > package/deps.mak
	./configure -- $(CONFIG_OPT)

#override_dh_auto_configure-indep:
#override_dh_auto_build-indep:
#override_dh_auto_install-indep:
#	mkdir -p debian/tmp/usr/share/doc/s6
#	cp -aT doc debian/tmp/usr/share/doc/s6
#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic).
#http://example.com/downloads.html \
#    files/66-([\d\.]+)\.tar\.gz

# Uncomment to examine an FTP server.
#ftp://ftp.example.com/pub/66-(.*)\.tar\.gz

# SourceForge hosted projects.
#http://sf.net/66/ 66-(.*)\.tar\.gz

# GitHub hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/<user>/<project>/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

# GitLab hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://gitlab.com/<user>/<project>/-/tags \
#    archive/v?@ANY_VERSION@/<project>-v?\d\S*@ARCHIVE_EXT@

# PyPI.
#https://pypi.debian.net/66/66-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git.
opts="mode=git" https://git.obarun.org/obarun/66-tools
#    refs/tags/v([\d\.]+)

## 66-tools 0.1.0.2

=== debian/changelog ===
66-tools (0.1.0.2-0experimental1) UNRELEASED; urgency=medium

  * New upstream realease. Moved to gitlab.
  * Adapted to oblibs 0.3.0.0

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Sun, 09 Jun 2024 22:22:22 +1000

66-tools (0.1.0.1experimental1-1) UNRELEASED; urgency=high

  * Initial release. Experimental

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Thu, 18 Jan 2024 22:22:22 +1000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  autotools-dev,
- 66 (>= 0.7),
+ 66 (>= 0.7.1.0),
  s6 (>= 2.12),
- s6-rc (>= 0.5.4.2),
- oblibs (>= 0.2),
+ oblibs (>= 0.3.0.0),
  skalibs-dev (>= 2.14),
  libs6-dev (>= 2.12),
  libexecline-dev (>= 2.9),
@@ -26,6 +25,10 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ 66 (>= 0.7.1.0),
+ s6 (>= 2.12),
+ oblibs (>= 0.3.0.0),
+ execline (>= 2.9),
 Description: A collection of helpers tools to accomplish various and repetitive tasks in service scripts.

## 66-tools 0.1.0.2experimental1

=== debian/changelog ===
66-tools (0.1.0.2experimental1-1) UNRELEASED; urgency=high

  * New upstream realease.
  * Adapted to oblibs 0.3.0.0

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Tue, 28 May 2024 22:22:22 +1000

## 66-tools 0.1.1.0

=== debian/changelog ===
66-tools (0.1.1.0-antix1) unstable; urgency=medium

  * antiX build from prowler.gr
  * use with 0.8.0 66 series
  * use with oblibs 0.3.1.0  
  * bump version

 -- anticapitalista <antix@operamail.com>  Fri, 18 Oct 2024 15:48:13 +0300

66-tools (0.1.0.1-experimental1) UNRELEASED; urgency=high

  * Initial release. Experimental

 -- ProwlerGr <Prowler73@gmail.com>  Thu, 18 Jan 2024 22:22:22 +1000

=== debian/control ===
Source: 66-tools
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 66 (>= 0.8.0),
 s6 (>= 2.13.1),
 oblibs (>= 0.3.1),
 skalibs-dev (>= 2.14.3),
 libs6-dev (>= 2.13.1),
 libexecline-dev (>= 2.9.6),
 execline (>= 2.9.6),
 libexecline2.9 ,
 libskarnet2.14t64
Standards-Version: 4.6.2
Homepage: https://web.obarun.org/software/66/
Vcs-Browser: https://salsa.debian.org/init-diversity/s6-66/66
Vcs-Git: https://salsa.debian.org/init-diversity/s6-66/66.git

Package: 66-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 66 (>= 0.8.0),
 s6 (>= 2.13.1),
 oblibs (>= 0.3.1),
 execline (>= 2.9.6),
Description: 66 tools is a collection of helpers tools to accomplish various and repetitive tasks in service scripts when using s6-66.
 Some utilities are language execline specific (usually named with execl- prefix) where other can be used on classic shell.

=== debian/rules ===
--- 
+++ 
@@ -31,13 +31,10 @@
 %:
 	dh $@
 
-override_dh_auto_configure-arch:
-#	./tools/gen-deps.sh > package/deps.mak
+override_dh_clean:
+	rm -rf README.md
+	dh_clean
+
+override_dh_auto_configure:
 	./configure -- $(CONFIG_OPT)
 
-#override_dh_auto_configure-indep:
-#override_dh_auto_build-indep:
-#override_dh_auto_install-indep:
-#	mkdir -p debian/tmp/usr/share/doc/s6
-#	cp -aT doc debian/tmp/usr/share/doc/s6
-#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info

## 66-tools 0.1.2.0

=== Makefile ===
--- 
+++ 
@@ -103,11 +103,21 @@
 
 $(DESTDIR)$(datarootdir)/doc/$(package)/$(version)/%.html: doc/$(version)/html/%.html
 	$(INSTALL) -D -m 644 $< $@ && \
-	sed -e 's,%%service_admconf%%,/etc/66/conf,g' $< > $@
+	sed -e 's,%%dbus_system_service%%,$(dbus_system_service),g' \
+		-e 's,%%dbus_session_service%%,$(dbus_session_service),g' \
+		-e 's,%%dbus_system_name%%,$(dbus_system_name),g' \
+		-e 's,%%dbus_session_name%%,$(dbus_session_name),g' \
+		-e 's,%%datarootdir%%,$(datarootdir),g' \
+		-e 's,%%ns_rule%%,$(ns_rule),g' $< > $@
 
 $(DESTDIR)$(mandir)/man1/%.1: doc/man/man1/%.1
 	$(INSTALL) -D -m 644 $< $@ && \
-	sed -e 's,%%service_admconf%%,/etc/66/conf,g' $< > $@
+	sed -e 's,%%dbus_system_service%%,$(dbus_system_service),g' \
+		-e 's,%%dbus_session_service%%,$(dbus_session_service),g' \
+		-e 's,%%dbus_system_name%%,$(dbus_system_name),g' \
+		-e 's,%%dbus_session_name%%,$(dbus_session_name),g' \
+		-e 's,%%datarootdir%%,$(datarootdir),g' \
+		-e 's,%%ns_rule%%,$(ns_rule),g' $< > $@
 
 $(DESTDIR)$(datadir)/%: src/etc/%
 	exec $(INSTALL) -D -m 644 $< $@

=== meson_options.txt ===
option('ns-rule-dir',
type: 'string',
value: '/usr/share/66/script/ns',
description: '66-ns rules installation directory')

option('enable-dbus',
type: 'combo',
choices: ['disabled', 'basu', 'elogind'],
value: 'disabled',
description: 'Enable 66-dbus-broker-launch with basu or elogind support (default: disabled)')

option('dbus-system-service-dir',
type: 'string',
value: '/usr/share/dbus-1/system-services',
description: 'Directory for DBus system service files')

option('dbus-session-service-dir',
type: 'string',
value: '/usr/share/dbus-1/services',
description: 'Directory for DBus session service files')

option('dbus-system-name',
type: 'string',
value: 'system_bus_socket',
description: 'Name of the DBus system socket')

option('dbus-session-name',
type: 'string',
value: 'dbus',
description: 'Name of the DBus session socket')

option('with-doc',
type: 'boolean',
value: false,
description: 'Build and install documentation in manpages and htlm format')

option('test',
type: 'boolean',
value: false,
description: 'Build and run tests')

option('with-include-dir',
type: 'array',
value: [],
description: 'Additional include directories')

option('with-staticlib-dir',
type: 'array',
value: [],
description: 'Additional static library directories')

option('with-dynamiclib-dir',
type: 'array',
value: [],
description: 'Additional shared library directories')

option('enable-shared',
type: 'boolean',
value: true,
description: 'Build shared libraries for dynamic linking')

option('enable-static',
type: 'boolean',
value: false,
description: 'Build static libraries for static linking')

option('enable-static-deps',
type: 'boolean',
value: false,
description: 'Prefer static linking for all dependencies (e.g., skalibs, s6), reducing runtime dependencies (requires enable-static=true)')

option('enable-static-executable',
type: 'boolean',
value: false,
description: 'Build fully static executables, including static libc, for maximum portability')

option('enable-all-pic',
type: 'boolean',
value: false,
description: 'Compile static libraries with position-independent code (PIC) for use in shared libraries or PIE executables')

option('enable-pie',
type: 'boolean',
value: false,
description: 'Build executables as position-independent (PIE) for enhanced security via ASLR')

=== debian/changelog ===
66-tools (0.1.2.0-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * New upstream release 0.1.2.0.

  [ anticapitalista ]
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 25 Sep 2025 15:02:51 +0300

66-tools (0.1.1.0-0experimental1) UNRELEASED; urgency=medium

  * New upstream release.
  * Adapted to oblibs 0.3.2.1

 -- ProwlerGr <Prowler73@gmail.com>  Sun, 09 Jun 2024 22:22:22 +1000

=== debian/control ===
Source: 66-tools
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 66 (>= 0.7.1.0),
 s6 (>= 2.12),
 oblibs (>= 0.3.2.1),
 skalibs-dev (>= 2.14),
 libs6-dev (>= 2.12),
 libexecline-dev (>= 2.9),
 execline (>= 2.9),
 libexecline2.9 ,
 libskarnet2.14t64 | libskarnet2.14,
Standards-Version: 4.6.2
Homepage: https://web.obarun.org/software/66/
Vcs-Browser: https://salsa.debian.org/init-diversity/s6-66/66
Vcs-Git: https://salsa.debian.org/init-diversity/s6-66/66.git

Package: 66-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 66 (>= 0.7.1.0),
 s6 (>= 2.12),
 oblibs (>= 0.3.0.0),
 execline (>= 2.9),
Description: 66 tools is a collection of helpers tools to accomplish various and repetitive tasks in service scripts when using s6-66.
 Some utilities are language execline specific (usually named with execl- prefix) where other can be used on classic shell.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#System types:
#CONFIG_OPT += --target=$(DEB_BUILD_GNU_TYPE) 
#CONFIG_OPT += --host=$(DEB_HOST_GNU_TYPE)

#Installation directories:
CONFIG_OPT += --prefix=/usr
#CONFIG_OPT += --exec-prefix=/usr

#Fine tuning of the installation directories:
#CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
#CONFIG_OPT += --libexecdir=\$${prefix}/libexec

#Dependencies:
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --with-lib=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
#CONFIG_OPT += --with-dynlib=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
#CONFIG_OPT += --with-dynlib=\$${prefix}/lib

#Optional features
#CONFIG_OPT += --enable-shared
#CONFIG_OPT += --disable-static
#CONFIG_OPT += --disable-allstatic
#CONFIG_OPT += --enable-static-libc
#CONFIG_OPT += --disable-all-pic
#CONFIG_OPT += --enable-slashpackage[=ROOT]
#CONFIG_OPT += --enable-absolute-paths  

#Dbus support:
#CONFIG_OPT += --enable-dbus=basu|elogind
#CONFIG_OPT += --with-dbus-system-service-dir=/usr/share/dbus-1/system-services
#CONFIG_OPT += --with-dbus-session-service-dir=/usr/share/dbus-1/services
#CONFIG_OPT += --with-dbus-system-name=system_bus_socket
#CONFIG_OPT += --with-dbus-session-name=dbus


%:
	dh $@

override_dh_clean:
	rm -rf README.md
	dh_clean

override_dh_auto_configure:
	./configure -- $(CONFIG_OPT)

=== debian/watch ===
--- 
+++ 
@@ -33,5 +33,5 @@
 #https://pypi.debian.net/66/66-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
 
 # Direct Git.
-opts="mode=git" https://git.obarun.org/obarun/66-tools
+opts="mode=git" https://git.obarun.org/obarun/66-tools.git
 #    refs/tags/v([\d\.]+)
